PMAP_OBJECT_INIT_PT(9)

NAME
pmap_object_init_pt - initialize page tables for a VM object

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/pmap.h>
void
pmap_object_init_pt(pmap_t pmap, vm_offset_t addr, vm_object_t object, vm_pindex_t pindex, vm_size_t size, int limit);

DESCRIPTION
The pmap_object_init_pt() function preloads the page table entries into the specified physical map pmap, for the given object at the virtual address addr, for size bytes, beginning at the page index pindex within the object. The map bits limit are heeded when creating the mapping.

IMPLEMENTATION NOTES
This function is not strictly required by an architecture's pmap(9) implementation, but it does provide performance benefits if implemented.

It is intended to eliminate the blast of soft faults on process startup, and immediately following a call to mmap(2).

SEE ALSO
pmap(9), vm_map(9)

AUTHORS
This manual page was written by Bruce M Simpson <bms@spc.org>.